Skip to main content
POST
Create webhook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appID
string
required

The id of the app the request refers to. An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

Body

application/json
url
string<uri>
required
Maximum string length: 2048
Example:

"https://example.com/webhook"

verification_token
string
required
Maximum string length: 100
Example:

"my-secret-token"

events
enum<string>[]
required
Available options:
user.created,
user.deleted,
user.profile.updated,
user.identifier.created,
user.identifier.deleted,
user.session.created,
user.session.revoked,
user.passkey.registered,
user.passkey.deleted,
user.passkey.assertion_failed,
migration.hook_failed,
step_up.hook_failed

Callbacks

POST
{$request.body#/url}eventReceived

Body

application/json
app_id
string
required

An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

events
object[]
required

Response

200

Event accepted

GET
{$request.body#/url}verificationEvent

Response

200 - application/json

Webhook validated

challenge
number
required

The challenge you received as a query parameter in the webhook request.

Example:

1234567890

Response

Created

webhook
object
required